@charset "utf-8";

/* --------------
header
-------------- */
.nav__item--top {
    position: relative;
}


.nav__item--top::before {
    content: '';
    width: 10px;
    height: 10px;
    border-radius: 5px;
    display: inline-block;
    background-color: var(--primary-yellow);
    position: absolute;
    top: -80%;
    left: 40%;
}

.nav__item--top::after {
    content: '';
    width: 100%;
    height: 3px;
    display: inline-block;
    background-color: var(--primary-yellow);
    position: absolute;
    bottom: -14px;
    left: 2px;
}

@media screen and (max-width:768px) {
    .nav__item--top::before {
        left: 47%;
    }
}



/* --------------
article__header
-------------- */
.main__slider {
    margin-top: 30px;
}

.main__slider img {
    width: 100%;
}

.mainImg .mainImg__sp {
    display: none;
}

.mainTopics {
    padding: 100px 7%;
    text-align: center;
    opacity: 0;
    animation-name: fadein;
    animation-duration: 1.5s;
    animation-timing-function: ease-out;
    animation-fill-mode: forwards;
}



.top1 {
    width: 21%;
    height: auto;
}

.mainTopics__title {
    font-size: 3.3rem;
    font-style: normal;
    font-weight: 500;
    line-height: 150%;
}

.mainTopics__title--orange {
    color: var(--primary-orange);
    font-size: 5.5rem;
}

.mainTopics__title--blue {
    color: var(--primary-blue);
    font-size: 5.5rem;
}

.mainTopics__title--green {
    color: var(--primary-green);
    font-size: 4.5rem;
}

.mainTopics__txt {
    text-align: start;
    font-size: 2.5rem;
    line-height: 2;
    margin: 37px auto 0;
    text-align: center;
}

@media screen and (max-width:768px) {
    .mainTopics {
        padding: 60px 6%;
        text-align: center;
    }

    .mainImg .mainImg__sp {
        display: block;
    }

    .mainImg .mainImg__pc {
        display: none;
    }

    .top1 {
        width: 40%;
        height: auto;
    }


    .spBr {
        display: block;
    }

    .mainTopics__title {
        font-size: 1.4rem;
    }

    .mainTopics__title--orange,
    .mainTopics__title--blue,
    .mainTopics__title--green {
        font-size: 2rem;
        line-height: 1.5;
    }

    .mainTopics__txt {
        font-size: 1.4rem;
        text-align: center;
    }

}

/* --------------
point
-------------- */
.section--point {
    padding: 100px 7%;
}

.point__title {
    border-color: var(--primary-yellow);
}

.point__title::after {
    background-color: var(--primary-yellow);
}

.point__subtitle {
    color: var(--primary-yellow);
}


.point__list {
    margin-top: 132px;
    display: flex;
    gap: 6%;
    justify-content: center;
}

.point__item {
    width: 26%;
    height: auto;
    display: flex;
    flex-flow: column;
    align-items: center;
}

.pointTxT-m {
    text-align: center;
    font-size: 2.2rem;
    font-weight: 500;
    margin-top: 24px;
}

.pointTxT-s {
    text-align: start;
    font-size: 1.8rem;
    line-height: 170%;
    margin-top: 36px;
}

.point__item1 {
    animation: slideBottom 1s;
}

.point__item2 {
    animation: slideBottom 2s;
}

.point__item3 {
    animation: slideBottom 3s;
}

@keyframes slideBottom {
    90% {
        transform: translateY(200px);
    }

    100% {
        transform: translateY(0);
    }
}


@media screen and (max-width:768px) {
    .section--point {
        text-align: center;
        padding: 60px 6%;
    }

    .point__list {
        margin-top: 80px;
        display: block;
        gap: 0;
    }

    .point__item {
        width: 100%;
        height: auto;
        margin-top: 60px;
    }

    .point__item img {
        width: 40%;
        height: auto;
    }

    .pointTxT-m {
        font-size: 1.6rem;
    }

    .pointTxT-s {
        font-size: 1.4rem;
        width: 70%;
        margin: 10px auto 0;
    }
}


/* --------------
class
-------------- */
.section--class {
    padding: 60px 0;
    text-align: center;
}

.class__title {
    border-color: var(--primary-green);
}

.class__title::after {
    background-color: var(--primary-green);
}

.class__subtitle {
    color: var(--primary-green);
}


.topclass__area-1 {
    display: flex;
    margin-top: 130px;
    transform: translateX(calc(-50vw - 50%));
}

.topclass__area-2 {
    display: flex;
    justify-content: end;
    margin-top: 55px;
    transform: translateX(calc(50vw + 50%));
    margin-bottom: 127px;
}

.topclass__box-1 {
    padding: 0 3% 0 6%;
    display: flex;
    width: 70%;
    height: auto;
    border-radius: 0 20px 20px 0;
    background: var(--primary-white);
    text-align: start;
}

.topclass__box-2 {
    padding: 0 6% 0 3%;
    display: flex;
    width: 70%;
    height: auto;
    border-radius: 20px 0 0 20px;
    background: var(--primary-white);
    text-align: start;
}

.topclass__box-1 img,
.topclass__box-2 img {
    width: 51%;
    height: auto;
    margin: 0 4%;
    object-fit: contain;
}

.topclass__slideIn {
    overflow: hidden;
}

.topclass__area {
    transition: 1.5s cubic-bezier(0.75, 0, 0.25, 1);
}

.topclass__show {
    transform: translateX(0);
}


.topclass__txtcontainer {
    margin: 30px 0 50px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    gap: 26px;
}

.topclass__txt-m {
    color: var(--primary-green);
    font-size: 3rem;
    font-weight: 500;
    line-height: 2;
}

.topclass__txt-s {
    font-size: 2.2rem;
    line-height: 2;
}

.topclass__name {
    display: flex;
    justify-content: center;
    align-items: flex-start;
    gap: 6px;
    flex-shrink: 0;
    margin: 0 6px;
}

.topclass__name-en {
    writing-mode: vertical-rl;
    color: var(--primary-green);
    font-size: 1.1rem;
    font-weight: 500;
    letter-spacing: 1.1px;
}

.topclass__name-ja {
    color: var(--primary-green);
    font-feature-settings: 'vert' on;
    writing-mode: vertical-rl;
    font-size: 2.5rem;
    font-weight: 500;
}

.class__btn {
    background: var(--primary-green);
    color: var(--primary-white);
    margin: 0 auto;
}

@media screen and (max-width:768px) {

    .topclass__box-1,
    .topclass__box-2 {
        display: block;
    }

    .topclass__box-1 img,
    .topclass__box-2 img {
        width: 80%;
        height: auto;
        margin: 20px 6%;
    }

    .topclass__area-1 {
        display: flex;
        margin-top: 80px;
    }

    .topclass__area-2 {
        display: flex;
        margin: 80px 0;
    }

    .topclass__name {
        display: flex;
        justify-content: center;
        align-items: flex-start;
        gap: 6px;
        flex-shrink: 0;
        margin: 0;
    }


    .topclass__name-en {
        font-size: 1.4rem;
    }

    .topclass__name-ja {
        font-size: 1.6rem;
    }

    .topclass__txtcontainer {
        margin: 20px 3%;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: flex-start;
        gap: 26px;
    }

    .topclass__txt-m {
        font-size: 1.6rem;
    }

    .topclass__txt-s {
        font-size: 1.4rem;
    }

    .class__btn {
        margin: 0 auto;
    }
}

/* --------------
ttf
-------------- */
.section--ttf {
    padding: 100px 7%;
    text-align: center;
}

.ttf__subtitle {
    color: var(--primary-blue);
}

.ttf__title {
    border-color: var(--primary-blue);
}

.ttf__title::after {
    background-color: var(--primary-blue);
}

.ttfTxT-m {
    color: var(--primary-blue);
    font-size: 2.5rem;
    font-weight: 500;
    margin-top: 93px;
}

.ttfTxT-s {
    font-size: 1.8rem;
    line-height: 2;
    margin-top: 56px;
}

.top__ttf--sppic {
    display: none;
}

.top__ttf--box {
    display: flex;
    justify-content: space-around;
    margin-top: 55px;
    align-items: center;
}

.top__ttf--item {
    width: 25%;
}

.top__ttf--item p {
    position: relative;
    font-size: 1.6rem;
    color: var(--primary-white);
    background-color: var(--primary-blue);
    padding: 15px 25px;
    text-align: left;
    border-radius: 7px;
}

.top__ttf--item p::before {
    position: absolute;
    content: '';
    top: 95%;
    left: 50%;
    margin-left: -15px;
    border: 15px solid transparent;
    border-top: 15px solid var(--primary-blue);
}

.top__ttf--item img {
    width: 70%;
    height: auto;
    margin-top: 20px;
}

.top__ttf--pic {
    width: 300px;
    height: 300px;
}

.ttf__btn {
    background: var(--primary-blue);
    color: var(--primary-white);
    margin: 120px auto 0;
}

@media screen and (max-width:768px) {
    .section--ttf {
        padding: 60px 6%;
        text-align: center;
    }

    .ttfTxT-m {
        font-size: 1.6rem;
        margin-top: 60px;
    }

    .ttfTxT-s {
        font-size: 1.4rem;
        margin-top: 30px;
    }

    .spBr {
        display: block;
    }

    .top__ttf--sppic {
        display: block;
        margin: 50px auto 0;
        width: 50%;
    }

    .top__ttf--box {
        display: block;
        margin-top: 55px;
        align-items: center;
    }

    .top__ttf--item {
        width: 83%;
        margin: 30px auto 0;
    }

    .top__ttf--pic {
        display: none;
    }

    .ttf__btn {
        margin: 50px auto 0;
    }
}

/* --------------
straykids
-------------- */
.section--straykids {
    padding: 100px 7%;
    text-align: center;
}

.straykids__subtitle {
    color: var(--primary-orange);
}

.straykids__title {
    border-color: var(--primary-orange);
}

.straykids__title::after {
    background-color: var(--primary-orange);
}


.straykidsTxT-m {
    color: var(--primary-orange);
    font-size: 2.5rem;
    font-weight: 500;
    letter-spacing: 2.8px;
    margin-top: 93px;
}

.straykidsTxT-s {
    font-size: 1.8rem;
    line-height: 2;
    margin-top: 30px;
}

.straykids__btn {
    background: var(--primary-orange);
    color: var(--primary-white);
    margin: 120px auto 0;
}

/* slider-pc */
.straykids__slider {
    margin-top: 80px;
}


@media screen and (max-width:768px) {
    .section--straykids {
        padding: 60px 6%;
        text-align: center;
    }

    .straykidsTxT-m {
        font-size: 1.6rem;
        margin-top: 60px;
    }

    .straykidsTxT-s {
        font-size: 1.4rem;
        margin-top: 30px;
    }

    .straykids__slider {
        margin-top: 60px;
    }

    .straykids__btn {
        margin: 60px auto 0;
    }
}

/* --------------
teacher
-------------- */
.section--teacher {
    padding: 100px 7%;
}

.teacher__title {
    border-color: var(--primary-yellow);
}

.teacher__title::after {
    background-color: var(--primary-yellow);
}

.teacher__subtitle {
    color: var(--primary-yellow);
}

/* フェードイン */
.teacher__pic {
    opacity: 0;
    visibility: hidden;
    transition: all 1s;
    transform: translateY(150px);
}

.is-active {
    opacity: 1;
    visibility: visible;
    transform: translateY(0);
}

/*  */


.teacher__name {
    margin-left: 10%;
    font-size: 3.5rem;
    position: relative;
}

.teacher__name--1::before {
    content: 'Sasaki Takahiro';
    display: inline-block;
    position: absolute;
    top: -50%;
    left: -5%;
    font-size: 2.5rem;
    font-family: 'Caveat';
}

.teacher__name--2::before {
    content: 'Sasaki Yuko';
    display: inline-block;
    position: absolute;
    top: -50%;
    left: -5%;
    font-size: 2.5rem;
    font-family: 'Caveat';
}

.teacher__profile {
    display: flex;
    margin-top: 164px;
}

.teacher__profile img {
    width: 400px;
    height: auto;
}

.profile__list {
    margin: 70px 0 0 8%;
}

.profile__item {
    font-size: 2rem;
    margin-top: 53px;
}

.profile__item::before {
    display: inline-block;
    content: '';
    margin-top: 5px;
    margin-right: 7px;
    width: 10px;
    height: 10px;
    vertical-align: top;
    border-radius: 5px;
    background-color: var(--primary-yellow);
}

@media screen and (max-width:768px) {
    .section--teacher {
        padding: 60px 6%;
        text-align: center;
    }

    .teacher__profile {
        display: block;
        margin: 80px 0;
    }

    .profile__list {
        margin: 0;
        text-align: left;
    }

    .profile__item {
        font-size: 1.4rem;
        margin-top: 25px;
    }

    .teacher__name {
        margin: 40px;
        font-size: 3.5rem;
        position: relative;
        font-size: 2rem;
    }

    .teacher__name--1::before {
        font-size: 1.6rem;
        left: 20%;
    }

    .teacher__name--2::before {
        font-size: 1.6rem;
        left: 20%;
    }

    .teacher__profile img {
        width: 40%;
        height: auto;
    }
}

/* --------------
access
-------------- */
.section--access {
    padding: 100px 7%;
    border-bottom: 3px solid var(--primary-yellow);
}

.access__title {
    border-color: var(--primary-yellow);
}

.access__title::after {
    background-color: var(--primary-yellow);
}

.access__subtitle {
    color: var(--primary-yellow);
}


.access__info {
    margin-right: 5%;
}

.access__contents {
    display: flex;
    justify-content: space-between;
    margin: 130px 0 0 3%;
}

.access__name {
    font-size: 3.5rem;
}

.access__list {
    margin-top: 71px;
}

.access__item {
    display: flex;
    font-size: 2rem;
    margin-top: 40px;
    align-items: center;
}


.access__line--1 {
    width: 67px;
    height: 1px;
    background-color: var(--primary-brown);
    margin: 0 16px;
}

.access__line--2 {
    width: 120px;
    height: 1px;
    background-color: var(--primary-brown);
    margin: 0 16px;
}

.access__line--3 {
    width: 100px;
    height: 1px;
    background-color: var(--primary-brown);
    margin: 0 16px;
}


.map iframe {
    display: block;
    margin-left: auto;
    max-width: 80%;
    height: 297px;
}

@media screen and (max-width:768px) {
    .section--access {
        padding: 0 6%;
        text-align: center;
    }

    .access__contents {
        display: block;
        margin-top: 60px;
    }

    .access__name {
        font-size: 2rem;
    }

    .access__list {
        margin-top: 30px;
    }

    .access__item {
        font-size: 1.4rem;
        justify-content: center;
    }

    .access__info {
        width: 100%
    }

    .map iframe {
        display: block;
        margin: 60px auto;
        max-width: 80%;
        height: 250px;
    }

    .access__line--1 {
        width: 37px;
        height: 1px;
        background-color: var(--primary-brown);
        margin: 0 16px;
    }

    .access__line--2 {
        width: 90px;
        height: 1px;
        background-color: var(--primary-brown);
        margin: 0 16px;
    }

    .access__line--3 {
        width: 70px;
        height: 1px;
        background-color: var(--primary-brown);
        margin: 0 16px;
    }

}